<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
class Rating
{
	function Rate($id,$where)
	{
		$id = abs((int)$id);
		$val = abs((int)$_REQUEST['starrate']);
		$where = eregi_replace('[^-A-Za-zÀ-ÖØ-öø-ÿ0-9]', '', $_REQUEST['where']);
		if(strpos(@$_SERVER['HTTP_REFERER'], HOME_PATH)!==false && $val>=1 && $val <=5 && $id>=1)
		{
			$res = $GLOBALS['db']->RowQuery("SELECT IPAdresse FROM " . PREFIX . "_wertung WHERE  Bereich = '$where' AND Objekt_Id = '$id' AND IPAdresse='" . $_SERVER['REMOTE_ADDR'] . "'");
			if(is_object($res) && $res->IPAdresse==$_SERVER['REMOTE_ADDR'])
			{
				echo $GLOBALS['config_vars']['Rating_Allready'];
			} else {
				$GLOBALS['db']->Query("INSERT INTO " . PREFIX . "_wertung VALUES 
				(
					'',
					'$where',
					'$id',
					'" . $_SERVER['REMOTE_ADDR'] . "',
					'" . stime() . "',
					'" . $val . "',
					'1'
				)");
				echo $GLOBALS['config_vars']['Rating_ThankYou'];
			}
			
			
		}
	}
}
?>